Subject: RE: Any C++ Client Source Code?

From: Bob Evans <[email-masked]>
Date: Fri, 18 Aug 2000 11:02:52 -0500

Well, it (wrapping with extern "C") worked for common/nit.c, but not
options.c.  I'll stop this chatter now - sorry.
Bob.

> -----Original Message-----
> From: Bob Evans [mailto:[email-masked]]
> Sent: Friday, August 18, 2000 10:54 AM
> To: DHCPv4 discussion list
> Subject: RE: Any C++ Client Source Code? 
> 
> 
> Whoa !
> Just tried placing the extern "C" wrapper around the entire 
> source module,
> and it seems to be working w/o the other changes I was suggesting.
> Thanks, Ted.
> 
> > -----Original Message-----
> > From: Bob Evans [mailto:[email-masked]]
> > Sent: Friday, August 18, 2000 10:42 AM
> > To: DHCPv4 discussion list
> > Cc: DHCPv4 discussion list
> > Subject: RE: Any C++ Client Source Code? 
> > 
> > 
> > Hi Ted,
> > > Can't you just slap 
> > > 'extern "C" {}'
> > > around the dhclient declarations?
> > 
> > It's not quite so simple.  In addition to the above, I have to:
> > 1) add function signatures inside the function definitions 
> > and delete them
> > underneath:
> > void f(a)
> > int a; {
> > ...to...
> > void f(int a) {
> > 2) the C++ keywords "new" and "class" are used as variables/structs
> > throughout the code, for example, in common/memory.c. I have 
> > to remap these
> > to something different.
> > 3) I have to add many explicit casts which the C++ compiler 
> > is demanding.
> > 
> > Thanks, Bob.
> > 
> > 
> > > -----Original Message-----
> > > From: Ted Lemon [mailto:[email-masked]]
> > > Sent: Friday, August 18, 2000 10:29 AM
> > > To: [email-masked]
> > > Cc: DHCPv4 discussion list
> > > Subject: Re: Any C++ Client Source Code? 
> > > 
> > > 
> > > 
> > > > I am integrating ISC's C source into our C++ environment 
> > > (Solaris).  This is
> > > > proving to be a tedious exercise.
> > > 
> > > It seems like it would be about a day's work, right?
> > > 
> > > > Are there any C++/Unix sources available
> > > > for DHCP clients?  We need to develop a customized 
> client for our
> > > > application.
> > > 
> > > There is a Java DHCP library that might help you, but of 
> course that
> > > would require rototilling as well.  Can't you just slap 
> > > 'extern "C" {}'
> > > around the dhclient declarations?
> > > 
> > > 			       _MelloN_
> > > 
> > 
>